COMPILE_LINK(1)

NAME
compile_link -- compile and copy Interchange link CGI

VERSION
1.0

SYNOPSIS
   compile_link [-p NNNN] [-s sfile] [-h host] [-w N] \\
                [--perl] [-nf] [-o outputfile] [-b dir] [-s dir]

DESCRIPTION
The "compile_link" program configures (including compilation if necessary) a link CGI for talking to the Interchange server daemon.

If the --perl option is given, it will not compile but instead use the tlink.pl program, setting its variables as needed.

Designed to be used in conjunction with Interchange's makecat.

OPTIONS

-b dir, --build=dir
    Sets the directory where the build files will be made. Default is "src" in the Interchange software directory.

-h hostname, --host=hostname
    Sets the host address or host name that should be compiled into the TCP-based link program. This sets the default, which still can be overridden by "MINIVEND_HOST" in the environment of the executing process.

-p NNNN, --port=NNNN
    Sets the port number that should be compiled into the TCP-based link program. This sets the default, which still can be overridden by "MINIVEND_PORT" in the environment of the executing process. The port must be higher than 1024.

-s sfile, --socket=sfile
    The name of the UNIX-domain socket file which should be compiled into the UNIX-domain link program. This sets the default, which still can be overridden by "MINIVEND_SOCKET" in the environment of the executing process.

--source=dir
    Sets the directory containing the source files. Default is "src" in the Interchange software directory.

-w N, --timeout=N
    The number of seconds the link program should wait for a connection before sending its timeout page.

SEE ALSO
makecat(1), http://www.icdevgroup.org/

AUTHOR
Mike Heins